Subject: bug#41260: closed (Re: [bug#41260] [PATCH v2] guix package: Support multiple profiles with '--list-installed'.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 23 May 2020 13:55:02 +0000

Your bug report

#41260: [PATCH 0/1] Support multiple profiles with '--list-installed'.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41260: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41260
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#41260] [PATCH v2] guix package: Support multiple profiles with '--list-installed'.
From: Ludovic Courtès <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked]
Date: Sat, 23 May 2020 15:54:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

zimoun <[email-masked]> skribis:

> * guix/scripts/package.scm (process-query): List installed multiple profiles.
> * tests/guix-package-net.sh: Test it.

Applied, thanks!

Ludo’.

Subject: [PATCH 0/1] Support multiple profiles with '--list-installed'.
From: zimoun <[email-masked]>
To: [email-masked]
Cc: zimoun <[email-masked]>
Date: Thu, 14 May 2020 16:13:50 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear,

As reported [1],

   guix package -p profile1 -p profile2 -I
and
   guix package -p profile2 -p profile2 -I

return different list; the one of the first profile actually.

This patch fixes this unexpected behaviour.

Last, I have failed to add a test in 'tests/guix-package.sh'.  I am not sure
to understand how the store is handled when running the test suite.

All the best,
simon

[1] http://issues.guix.gnu.org/40549#21

zimoun (1):
  guix package: Support multiple profiles with '--list-installed'.

 guix/scripts/package.scm | 31 +++++++++++++++++--------------
 1 file changed, 17 insertions(+), 14 deletions(-)

-- 
2.26.1